/* Location panel ================ */
:root {
  --location-panel-max-width: 1356px;
  --location-panel-background-color: var(--color-white);

  @media (--desktop-large-max) {
    --location-panel-max-width: 1160px;
  }
}

.location-panel {
  position: absolute;
  top: var(--header-top-height);
  right: 0;
  left: 0;
  z-index: var(--z-index-location-panel);
  display: none;
  width: calc(100% - 10px);
  max-width: var(--location-panel-max-width);
  max-height: 100vh;
  margin: auto;
  overflow: auto;
  background-color: var(--location-panel-background-color);

  &.location-panel--open {
    display: block;
  }
}

.location-panel__close {
  position: absolute;
  top: 50%;
  right: 20px;
  z-index: 2;
  transform: translateY(-50%);

  @media (--laptop-small-max) {
    top: 20px;
    transform: none;
  }

  @media (--tablet-max) {
    top: 5px;
    right: 10px;
  }
}

.location-panel__header {
  position: relative;
  display: flex;
  align-items: center;
  padding-top: 10px;
  padding-right: 15px;
  padding-bottom: 10px;
  padding-left: 15px;

  @media (--laptop-small-max) {
    flex-direction: column;
    padding-right: 60px;
    padding-bottom: 40px;
    padding-left: 60px;
  }

  @media (--tablet-max) {
    flex-direction: column;
    padding-top: 20px;
    padding-right: 40px;
    padding-bottom: 40px;
    padding-left: 20px;
  }

  .form__group {

    @media (--laptop-small-min) {
      width: calc(33.33% - 20px);
      margin-top: 0;
      margin-right: 20px;
    }

    @media (--laptop-small-max) {
      width: 100%;
      margin-top: 40px;
    }

    @media (--tablet-max) {
      margin-top: 20px;
    }
  }
}

.location-panel__body {

  @media (--laptop-small-max) {

    .map_lg {
      height: 300px;
    }
  }
}
/* ================ end location panel */
